For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unrecognized Emails

Get all unrecognized emails

get
Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Query parameters
searchstringOptionalExample: On Thu
senderstringOptionalExample: fd33abf8-11f9-11eb-adc1-0242ac120002
receiverstringOptionalExample: 1971b659-5555-4146-af82-a780532e26cd
directionstringOptionalExample: OUT
statusstringOptionalExample: UNRECOGNISED, DELETED
pageintegerOptionalDefault: 0Example: 0
sizeintegerOptionalDefault: 20Example: 20
starredbooleanOptionalExample: true
deletedAtLessOrEqualstringOptionalExample: 2021-09-23T16:22:14.375Z
assignedbooleanOptionalExample: false
allbooleanOptionalExample: true
startDatestring · date-timeOptionalExample: 2021-11-10T00:00:00.296Z
endDatestring · date-timeOptionalExample: 2021-10-04T00:00:00.296Z
emailstringOptionalExample: v.kurashkevich@gmail.com
Responses
200

Paginated list of emails

application/json

Standard paginated response wrapper.

totalElementsintegerOptional

Total number of matching records

totalPagesintegerOptional

Total number of pages

lastbooleanOptional
firstbooleanOptional
numberintegerOptional

Current page number (zero-based)

sizeintegerOptional

Page size

numberOfElementsintegerOptional

Number of elements on the current page

emptybooleanOptional
get/{tenantName}/{instanceName}/unrecognized-patients/emails
GET /{tenantName}/{instanceName}/unrecognized-patients/emails HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "content": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "createdByName": "text",
      "updatedByName": "text",
      "sendNow": true,
      "sentAt": "2026-01-01T00:00:00.000Z",
      "receivedAt": "2026-01-01T00:00:00.000Z",
      "deletedAt": "2026-01-01T00:00:00.000Z",
      "date": "2026-01-01T00:00:00.000Z",
      "careTeam": "text",
      "patientInfo": "text",
      "sender": "123e4567-e89b-12d3-a456-426614174000",
      "senderType": "CS_TOOL_CLIENT",
      "senderName": "text",
      "from": "text",
      "receiver": "123e4567-e89b-12d3-a456-426614174000",
      "receiverType": "CS_TOOL_CLIENT",
      "receiverName": "text",
      "to": "text",
      "direction": "OUT",
      "externalId": "text",
      "starred": true,
      "errorMessage": "text",
      "assignedBy": "123e4567-e89b-12d3-a456-426614174000",
      "assignedByName": "text",
      "hasHistory": true,
      "unrecognized": true,
      "subject": "text",
      "body": "text",
      "emailEditorJson": "text",
      "status": "SCHEDULED",
      "secure": false,
      "attachments": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "originalName": "text",
          "size": 1,
          "contentType": "text",
          "storageKey": "text"
        }
      ],
      "attachmentsFromTemplate": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "originalName": "text",
          "size": 1,
          "contentType": "text",
          "storageKey": "text"
        }
      ],
      "bodyAttachments": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "originalName": "text",
          "size": 1,
          "contentType": "text",
          "storageKey": "text",
          "url": "https://example.com",
          "thumbnailUrl": "https://example.com"
        }
      ],
      "messageType": "CARE_TEAM",
      "bodyType": "PLAIN_TEXT",
      "inReplyTo": "text",
      "messageId": "text",
      "skipEvent": true
    }
  ],
  "pageable": {
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    },
    "pageSize": 1,
    "pageNumber": 1,
    "offset": 1,
    "unpaged": true,
    "paged": true
  },
  "totalElements": 1,
  "totalPages": 1,
  "last": true,
  "first": true,
  "number": 1,
  "size": 1,
  "numberOfElements": 1,
  "empty": true,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  }
}

Get unrecognized email by id

get
Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
uuidstring · uuidRequired

UUID of the resource

Responses
200

Email record

application/json
idstring · uuidRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
sendNowbooleanOptional
sentAtstring · date-time · nullableOptional
receivedAtstring · date-time · nullableOptional
deletedAtstring · date-time · nullableOptional
datestring · date-time · nullableOptional
careTeamstring · nullableOptional
patientInfostring · nullableOptional
senderstring · uuidRequired
senderTypestring · enumOptionalPossible values:
senderNamestring · nullableOptional
fromstring · nullableOptional
receiverstring · uuid · nullableOptional
receiverTypestring · enumOptionalPossible values:
receiverNamestring · nullableOptional
tostring · nullableOptional
directionstring · enumOptionalPossible values:
externalIdstring · nullableOptional
starredbooleanOptional
errorMessagestring · nullableOptional
assignedBystring · uuid · nullableRead-onlyOptional
assignedByNamestring · nullableRead-onlyOptional
hasHistorybooleanRead-onlyOptional
unrecognizedbooleanRead-onlyOptional
subjectstring · nullableOptional
bodystringRequired
emailEditorJsonstring · nullableOptional
statusstring · enumOptionalPossible values:
securebooleanOptionalDefault: false
messageTypestring · enumOptionalDefault: CARE_TEAMPossible values:
bodyTypestring · enumOptionalDefault: PLAIN_TEXTPossible values:
inReplyTostring · nullableOptional
messageIdstring · nullableOptional
skipEventbooleanOptional
get/{tenantName}/{instanceName}/unrecognized-patients/emails/{uuid}
GET /{tenantName}/{instanceName}/unrecognized-patients/emails/{uuid} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "sendNow": true,
  "sentAt": "2026-01-01T00:00:00.000Z",
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "deletedAt": "2026-01-01T00:00:00.000Z",
  "date": "2026-01-01T00:00:00.000Z",
  "careTeam": "text",
  "patientInfo": "text",
  "sender": "123e4567-e89b-12d3-a456-426614174000",
  "senderType": "CS_TOOL_CLIENT",
  "senderName": "text",
  "from": "text",
  "receiver": "123e4567-e89b-12d3-a456-426614174000",
  "receiverType": "CS_TOOL_CLIENT",
  "receiverName": "text",
  "to": "text",
  "direction": "OUT",
  "externalId": "text",
  "starred": true,
  "errorMessage": "text",
  "assignedBy": "123e4567-e89b-12d3-a456-426614174000",
  "assignedByName": "text",
  "hasHistory": true,
  "unrecognized": true,
  "subject": "text",
  "body": "text",
  "emailEditorJson": "text",
  "status": "SCHEDULED",
  "secure": false,
  "attachments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "text",
      "size": 1,
      "contentType": "text",
      "storageKey": "text"
    }
  ],
  "attachmentsFromTemplate": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "text",
      "size": 1,
      "contentType": "text",
      "storageKey": "text"
    }
  ],
  "bodyAttachments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "text",
      "size": 1,
      "contentType": "text",
      "storageKey": "text",
      "url": "https://example.com",
      "thumbnailUrl": "https://example.com"
    }
  ],
  "messageType": "CARE_TEAM",
  "bodyType": "PLAIN_TEXT",
  "inReplyTo": "text",
  "messageId": "text",
  "skipEvent": true
}

Get attachments for Emails

get
Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
uuidstring · uuidRequired

UUID of the resource

fileUuidstringRequired

fileUuid path parameter

Responses
200

Binary attachment file.

No content

get/{tenantName}/{instanceName}/unrecognized-patients/emails/{uuid}/attachments/{fileUuid}
GET /{tenantName}/{instanceName}/unrecognized-patients/emails/{uuid}/attachments/{fileUuid} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?